REM @echo off
alias _echo=echo
alias __echo=REM

__echo Initializing program
set a=Y

__echo clearing answer file
del /y zap > NUL

__echo going to _%1...
goto _%1

:_asm
call asm /i.. /i..\.. /i..\..\.. %2 %3 %4 %5 %6 %7 %8 %9 >> zap
goto finfin

:_
_echo Making everything.
set a=N

:_b
:_bootrec
:_bootrec.asm
:_bootrec.bin
_echo Making the BOOT record.
call asm bootrec >> zap
call link bootrec >> zap
exe2bin bootrec >> zap
if x%a == xY goto fin

:_loader
:_loader.asm
:_loader.com
_echo Making the LOADER.
call asm loader >> zap
call link /t loader >> zap
if x%a == xY goto fin

:_a
:_api
:_biosapi
:_bios-api
:_bios-api.asm
_echo Making the API.
call asm /i.. /i..\.. /i..\..\.. ..\apiheadr >> zap
call asm /i.. /i..\.. /i..\..\.. ba-headr >> zap
call asm /i.. /i..\.. /i..\..\.. ba-rm >> zap
call asm /i.. /i..\.. /i..\..\.. ba-pm >> zap
:_l
:_lk
:_li
:_linkapi
tlink /m /l /s /c /3 apiheadr+ba-headr+ba-rm+ba-pm , bios-api.exe >> zap
exe2bin bios-api >> zap
if x%a == xY goto fin

:fin
type zap /p

:finfin
